package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageTrend;
import com.lightinit.hsdatashow.entity.GarbageTrendExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GarbageTrendMapper {
    long countByExample(GarbageTrendExample example);

    int deleteByExample(GarbageTrendExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GarbageTrend record);

    int insertSelective(GarbageTrend record);

    List<GarbageTrend> selectByExample(GarbageTrendExample example);

    GarbageTrend selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GarbageTrend record, @Param("example") GarbageTrendExample example);

    int updateByExample(@Param("record") GarbageTrend record, @Param("example") GarbageTrendExample example);

    int updateByPrimaryKeySelective(GarbageTrend record);

    int updateByPrimaryKey(GarbageTrend record);

    List<GarbageTrend> getGarbageTrend(@Param("year") int year);
}